> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/retail-media/line-items/{line-item-id}/products/pause

> Pause a collection of promoted products associated with a line item



## OpenAPI

````yaml https://api.criteo.com/preview/retailmedia/open-api-specifications.json post /preview/retail-media/line-items/{line-item-id}/products/pause
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - RetailMedia
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Accounts
  - name: Analytics
  - name: Audience
  - name: Balance
  - name: Campaign
  - name: Catalog
  - name: Gateway
  - name: OnSiteRecommendation
  - name: ThirdPartyAccounts
paths:
  /preview/retail-media/line-items/{line-item-id}/products/pause:
    post:
      tags:
        - Campaign
      summary: /preview/retail-media/line-items/{line-item-id}/products/pause
      description: Pause a collection of promoted products associated with a line item
      operationId: PausePromotedProducts
      parameters:
        - name: line-item-id
          in: path
          description: ID of the line item
          required: true
          schema:
            type: string
      requestBody:
        description: Request body whose {data} contains an array of promoted products.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PromotedProductResourceCollectionInput'
      responses:
        '204':
          description: Promoted products paused
      security:
        - oauth:
            - RetailMedia_Campaign_Manage
components:
  schemas:
    PromotedProductResourceCollectionInput:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/PromotedProductResource'
      additionalProperties: false
      description: >-
        Request object containing promoted products to be appended, deleted,
        paused or unpaused.
    PromotedProductResource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/PromotedProduct'
        id:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
      additionalProperties: false
      description: Resource object containing a promoted product.
    PromotedProduct:
      type: object
      properties:
        bidOverride:
          type: number
          description: >-
            The bid override for the promoted product for this line item.
            Ignored unless adding a product.
          format: decimal
          nullable: true
        id:
          type: string
          description: A retailer defined SKU ID for the promoted product.
          nullable: true
        status:
          $ref: '#/components/schemas/LineItemProductStatus'
      additionalProperties: false
      description: A promoted product.
      nullable: true
    LineItemProductStatus:
      enum:
        - unknown
        - active
        - paused
      type: string
      description: The status of a promoted product in the context of the line item.
      nullable: true
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````